aboutsummaryrefslogtreecommitdiffhomepage
path: root/objectivec/DevTools
diff options
context:
space:
mode:
authorGravatar Thomas Van Lenten <thomasvl@google.com>2015-12-10 15:49:53 -0500
committerGravatar Thomas Van Lenten <thomasvl@google.com>2015-12-10 16:40:10 -0500
commit938ba4103934db7459a920ca0cd96f0fd3953695 (patch)
tree94fc5e48edf2dcd9e298f4b450e016687d2ac099 /objectivec/DevTools
parent2f2da0702db0aab16f473a86b28de854e5740295 (diff)
Update the min toolchain for iOS/OS X to be Xcode 7
- Let Xcode update the projects, schemes, and info.plists. - Add workaround for shallow analyzer issues in current Xcode versions (deep analyze gets things correct). - Tweak the Swift based tests to avoid warnings from Xcode 7's XCTest using optionals for autoenclosure results. - No longer tag the ObjC iOS travis test as flaky, xctool seems to manage the simulator pretty well.
Diffstat (limited to 'objectivec/DevTools')
-rwxr-xr-xobjectivec/DevTools/full_mac_build.sh9
1 files changed, 2 insertions, 7 deletions
diff --git a/objectivec/DevTools/full_mac_build.sh b/objectivec/DevTools/full_mac_build.sh
index 11e3f79b..709aae0a 100755
--- a/objectivec/DevTools/full_mac_build.sh
+++ b/objectivec/DevTools/full_mac_build.sh
@@ -231,13 +231,8 @@ if [[ "${DO_XCODE_IOS_TESTS}" == "yes" ]] ; then
IOS_SIMULATOR_NAME="Simulator"
case "${XCODE_VERSION}" in
6.* )
- XCODEBUILD_TEST_BASE_IOS+=(
- -destination "platform=iOS Simulator,name=iPhone 4s,OS=7.1" # 32bit
- -destination "platform=iOS Simulator,name=iPhone 6,OS=8.4" # 64bit
- -destination "platform=iOS Simulator,name=iPad 2,OS=7.1" # 32bit
- -destination "platform=iOS Simulator,name=iPad Air,OS=8.4" # 64bit
- )
- IOS_SIMULATOR_NAME="iOS Simulator"
+ echo "ERROR: Xcode 6.3/6.4 no longer supported for building, please use 7.0 or higher." 1>&2
+ exit 10
;;
7.* )
XCODEBUILD_TEST_BASE_IOS+=(